import es
import playerlib

#plugin information
# info = {}
# info['name'] = "Usermsg EventScripts python library"
# info['version'] = "oy3"
# info['author'] = "Soccerdude"
# info['url'] = "http://www.eventscripts.com/pages/Usermsg/"
# info['description'] = ""
# info['tags'] = ""

#usermsg commands begin here
#usage from other Python scripts for example:
#  import es
#  from usermsg import usermsg
#  usermsg.fade(userid,1,500,500,255,255,255,255)

def list():
    es.dbgmsg(0,"usermsg.py: -----------------------")
    es.dbgmsg(0,"usermsg.py: Usermsg Subcommands:")
    es.dbgmsg(0,"usermsg.py: fade <userid> <0 = no fade, 1 = fade Out 2 = fade in> <time to fade (in frames)> <time faded (in frames)> <red> <green> <blue> <alpha>")
    es.dbgmsg(0,"usermsg.py: shake <userid> <magnitude> <time>")
    es.dbgmsg(0,"usermsg.py: motd <userid> <0 = text, 2 = url> <title> <msg>")
    es.dbgmsg(0,"usermsg.py: hudhint <userid> <msg>")
    es.dbgmsg(0,"usermsg.py: centermsg <userid> <msg>")
    es.dbgmsg(0,"usermsg.py: echo <userid> <msg>")
    es.dbgmsg(0,"usermsg.py: saytext2 <userid> <entity colouring index> <format / pre-formatted message> [arg1-4]")
    es.dbgmsg(0,"usermsg.py: -----------------------")

def fade(userid,arg1,arg2,arg3,arg4,arg5,arg6,arg7):
    if es.exists('userid',userid):
        es.usermsg('create','fade','Fade')
        es.usermsg('write','short','fade',arg2)
        es.usermsg('write','short','fade',arg3)
        es.usermsg('write','short','fade',arg1)
        es.usermsg('write','byte','fade',arg4)
        es.usermsg('write','byte','fade',arg5)
        es.usermsg('write','byte','fade',arg6)
        es.usermsg('write','byte','fade',arg7)
        es.usermsg('send','fade',userid)
        es.usermsg('delete','fade')
    else:
        es.dbgmsg(0,"usermsg.py: fade: Player: \""+userid+"\" was not found on the server.")

def shake(userid,arg1,arg2):
    if es.exists('userid',userid):
        es.usermsg('create','shake','Shake')
        es.usermsg('write','byte','shake',0)
        es.usermsg('write','float','shake',arg1)
        es.usermsg('write','float','shake',1.0)
        es.usermsg('write','float','shake',arg2)
        es.usermsg('send','shake',userid)
        es.usermsg('delete','shake')
    else:
        es.dbgmsg(0,"usermsg.py: shake: Player: \""+userid+"\" was not found on the server.")

def motd(userid,arg1,arg2,arg3):
    if es.exists('userid',userid):
        es.usermsg('create','motd','VGUIMenu')
        es.usermsg('write','string','motd','info')
        es.usermsg('write','byte','motd',1)
        es.usermsg('write','byte','motd',3)
        es.usermsg('write','string','motd','title')
        es.usermsg('write','string','motd',arg2)
        es.usermsg('write','string','motd','type')
        es.usermsg('write','string','motd',arg1)
        es.usermsg('write','string','motd','msg')
        es.usermsg('write','string','motd',arg3)
        es.usermsg('send','motd',userid)
        es.usermsg('delete','motd')
    else:
        es.dbgmsg(0,"usermsg.py: motd: Player: \""+userid+"\" was not found on the server.")

def hudhint(userid,arg1):
    if es.exists('userid',userid):
        es.usermsg('create','hudhint','HintText')
        es.usermsg('write','short','hudhint',-1)
        es.usermsg('write','string','hudhint',arg1)
        es.usermsg('send','hudhint',userid)
        es.usermsg('delete','hudhint')
    else:
        es.dbgmsg(0,"usermsg.py: hudhint: Player: \""+userid+"\" was not found on the server.")
    
def centermsg(userid,arg1):
    if es.exists('userid',userid):
        es.usermsg('create','centermsg','TextMsg')
        es.usermsg('write','byte','centermsg',4)
        es.usermsg('write','string','centermsg',arg1)
        es.usermsg('send','centermsg',userid)
        es.usermsg('delete','centermsg')
    else:
        es.dbgmsg(0,"usermsg.py: centermsg: Player: \""+userid+"\" was not found on the server.")

def echo(userid,arg1):
    if es.exists('userid',userid):
        es.usermsg('create','echo','TextMsg')
        es.usermsg('write','byte','echo',2)
        es.usermsg('write','string','echo',arg1)
        es.usermsg('send','echo',userid)
        es.usermsg('delete','echo')
    else:
        es.dbgmsg(0,"usermsg.py: echo: Player: \""+userid+"\" was not found on the server.")
    
def saytext2(userid,index,msg,arg1="",arg2="",arg3="",arg4=""):
    if es.exists('userid',userid):
        es.usermsg('create','saytext2','SayText2')
        es.usermsg('write','byte','saytext2',index)
        es.usermsg('write','byte','saytext2',True)
        es.usermsg('write','string','saytext2',msg)
        es.usermsg('write','string','saytext2','')
        es.usermsg('write','string','saytext2','')
        es.usermsg('write','string','saytext2','')
        es.usermsg('write','string','saytext2','')
        es.usermsg('send','saytext2',userid)
        es.usermsg('delete','saytext2')
    else:
        es.dbgmsg(0,"usermsg.py: saytext2: Player: \""+userid+"\" was not found on the server.")

